import request from "../../request.js"

export default {
	// 获取监控设备列表
	getVideoList(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/video/admin/video/list',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
	// 获取监控通道列表
	getVideoChannelList(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/video/admin/video/channel/list',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	
}